package de.frajul.endlessroll.main.ads;

import com.google.android.gms.ads.AdListener;

public class CustomAdListener extends AdListener {

    private AdLoadingListener adLoadingListener;

    public CustomAdListener(AdLoadingListener adLoadingListener) {
        super();
        this.adLoadingListener = adLoadingListener;
    }

    @Override
    public void onAdLoaded() {
        adLoadingListener.onAdLoaded();
    }

    @Override
    public void onAdFailedToLoad(int i) {
        adLoadingListener.onAdFailedToLoad(i);
    }
}
